# sshutter

Apply firewall rules depending on ping results

## Motivation

SSH is, by nature, a very powerful and mighty tool which can be found on almost any UNIX system - and some Windows hosts, too. However, incidents like [the XZ backdoor](https://en.wikipedia.org/wiki/XZ_Utils_backdoor) have shown that SSH is not invulnerable, and a critical vulnerability would be as desastrous as [EternalBlue](https://en.wikipedia.org/wiki/EternalBlue) on Windows hosts.

This situation asks for dynamic solutions. And **sshutter** is such a dynamic solution. It activates or deactivates firewall rules for dropping requests to SSH as long as a certain IP address or network is reachable.

## Building/Packing

To create the Debian/Ubuntu package for sshutter, run `dpkg-deb --root-owner-group --build . sshutter-v0.1.deb`
